<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Document</title>
        
    </head>
    <body>

        <div class="container">
            <form action="" id="formulario">
                  <p>Numero de cuenta:</p>
                   <p>
                       <input type="text" id="numeroCuenta">
                   </p>
                   <p>PIN:</p>
                   <p>
                       <input type="password" id="pin">
                   </p>   
                   <p>Accion</p>
                   <p>
                       <select id="accion">
                           <option value="Enviar">Enviar</option>
                           <option value="Retirar">Retirar</option>
                       </select>
                   </p> 
                   <p>Cantidad: </p>
                                      <p>
                       <input type="number" id="cantidad">
                   </p>
                   <p>Descripcion: </p>
                   <p>
                       <textarea name="" id="descripcion" ></textarea>
                   </p>
                   
                   <p>
                       <button type="submit">Enviar</button>
                   </p>
                    
                </form>
                
                <div class="resultados">
                    <div class="enviar"></div>
                    <div class="retirar"></div>
                    <div class="fondos"></div>
                </div>        
                
        </div> 
               
            
        <script>
            var formulario= document.getElementById('formulario')  ;
            var ACCESO_CUENTA_VALIDA = 'capibara'
            var ACCESO_PIN_VALIDO = '123456'
            
            
            formulario.addEventListener('submit',function(event){
                event.preventDefault()
                //alert('FORMULARIO ENVIADO')
                //reviasmos la accion que queremos hacer
                //datos del formulario
                var numeroCuenta = document.getElementById('numeroCuenta')
                var pin = document.getElementById('pin')
                var accion= document.getElementById('accion')
                var cantidad = document.getElementById('cantidad')
                var descripcion = document.getElementById('descripcion')
                
                console.log('Valor de numero de cuenta',numeroCuenta.value)
                console.log('Valor del Pin',pin.value)
                console.log('Valor del accion',accion.value)
                console.log('Valor de la cantidad',cantidad.value)
                console.log('Valor de la descripcion',descripcion.value)
               
                // Validar si el numero de cuenta o pin estan vacios
                if (numeroCuenta.value ==='' || pin.value===''){
                    alert('Por favor rellena el campo de numero y PIN')
                }
                
               /* if (!numeroCuenta.value || !pin.value){
                    alert('Por favor rellena el campo de numero y PIN')
                }*/
                
                // Validar sila cantidad esta vacia
                if (cantidad.value ===''){
                    alert('Por favor rellena el campo cantidad')
                }
                // validar si el numero de cuenta y pin son correctos
                
                if (numeroCuenta.value !== ACCESO_CUENTA_VALIDA && pin.value !== ACCESO_PIN_VALIDO){
                    alert('Numero de cuenta y/o Pin no coinciden')
                }
                // validar si la cantidad es un numero positivo
                
                if (cantidad.value<0){
                    alert('La cantidad no tiene que ser mayor a cero')
                }
                    
                
                /*
                var lista de ejempol=[]
                
                
                //objeto de ejemplo
                varobjetoEj={}
                objetoEj.nombre='hola'
                objeto.edad='100'
                
                
                //objetos
                var alumno={
                    turno='vespertino'
                    materias:['codigo', 'orientacion']
                    direccion: {
                        colonia:''
                        calle:''
                        estado: {
                            nombreCompletp
                            nombreCorte
                        }
                    }
                };
                
                
                
                console.log(alumno.materias)
                console.log(alumno[materias])
                
                
                console.log(alumno.direccion.estado.nombrecorto)
                
                function
                
                
                */
                
            })
        </script>
            
    </body>
</html>